Gecode::Int::LDSB::VariableSequenceSymmetryObject Class Reference

Implementation of a variable sequence symmetry at the modelling level. More...

`#include <ldsb.hh>`

## Public Member Functions

| VariableSequenceSymmetryObject (ArgArray< VarImpBase * > vars, int ss)
| Constructor for creation.
| ~VariableSequenceSymmetryObject ()
| Destructor.
Public Member Functions inherited from Gecode::Int::LDSB::SymmetryObject
| SymmetryObject (void)
| Default constructor.
virtual | ~SymmetryObject (void)
| Destructor.

## Public Attributes

VarImpBase ** | xs
| Array of variables in symmetry.
int | nxs
| Number of variables in symmetry.
int | seq_size
| Size of each sequence in symmetry.
Public Attributes inherited from Gecode::Int::LDSB::SymmetryObject
int | nrefs
| Number of references that point to this symmetry object.

## Detailed Description

Implementation of a variable sequence symmetry at the modelling level.

Definition at line 136 of file ldsb.hh.

## Constructor & Destructor Documentation

## VariableSequenceSymmetryObject()

Gecode::Int::LDSB::VariableSequenceSymmetryObject::VariableSequenceSymmetryObject | ( | ArgArray< VarImpBase * > | vars,
|  | int | ss )

Constructor for creation.

Definition at line 93 of file sym-obj.cpp.

## ~VariableSequenceSymmetryObject()

Gecode::Int::LDSB::VariableSequenceSymmetryObject::~VariableSequenceSymmetryObject | ( | void |  | ) |

Destructor.

Definition at line 101 of file sym-obj.cpp.

## Member Data Documentation

## xs

VarImpBase** Gecode::Int::LDSB::VariableSequenceSymmetryObject::xs

Array of variables in symmetry.

Definition at line 139 of file ldsb.hh.

## nxs

int Gecode::Int::LDSB::VariableSequenceSymmetryObject::nxs

Number of variables in symmetry.

Definition at line 141 of file ldsb.hh.

## seq_size

int Gecode::Int::LDSB::VariableSequenceSymmetryObject::seq_size

Size of each sequence in symmetry.

Definition at line 143 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/sym-obj.cpp